<?php
// Options Page

	if ( ! function_exists( 'richchique' ) ) :

		function richchique( $name ) {
			$default_theme_options = array(
				'logo' => '',
				'centeredlogo' => '',
				'colorhdfont' => '#000000',
				'colorhdfonthover' => '#aaaaaa',
				'colornavfont' => '#000000',
				'colornavfonthover' => '#aaaaaa',
				'displayrelatedposts' => '1',
				'color1' => '#CE3175',
				'color2' => '#CE3175',
				'colorfontbuttons' => '#FFFFFF',
				'copyright' =>  '<a href="'.home_url().'">'.get_bloginfo( 'name' ).'</a>',
				'herofeaturedimage' => '',
				'headerimageshop' => '',
				'front-page-area-expanded-bg' => '#FFFFFF',
				'front-page-area-expanded-text' => '#333333',
				'front-page-area-1-bg' => '#FFFFFF',
				'front-page-area-1-text' => '#333333',
				'front-page-area-1' => 'small-up-1',
				'front-page-area-2-bg' => '#FFFFFF',
				'front-page-area-2-text' => '#333333',
				'front-page-area-2' => 'small-up-1',
				'front-page-area-3-bg' => '#FFFFFF',
				'front-page-area-3-text' => '#333333',
				'front-page-area-3' => 'small-up-1',
				'front-page-area-4-bg' => '#FFFFFF',
				'front-page-area-4-text' => '#333333',
				'front-page-area-4' => 'small-up-1',
				'front-page-area-5-bg' => '#FFFFFF',
				'front-page-area-5-text' => '#333333',
				'front-page-area-5' => 'small-up-1',
				'front-page-area-6-bg' => '#FFFFFF',
				'front-page-area-6-text' => '#333333',
				'front-page-area-6' => 'small-up-1',
				'front-page-area-7-bg' => '#FFFFFF',
				'front-page-area-7-text' => '#333333',
				'front-page-area-7' => 'small-up-1',
				'front-page-area-8-bg' => '#FFFFFF',
				'front-page-area-8-text' => '#333333',
				'front-page-area-8' => 'small-up-1',
				'front-page-area-9-bg' => '#FFFFFF',
				'front-page-area-9-text' => '#333333',
				'front-page-area-9' => 'small-up-1',
				'front-page-area-10-bg' => '#FFFFFF',
				'front-page-area-10-text' => '#333333',
				'front-page-area-10' => 'small-up-1',
				);
		
			$options = wp_parse_args( get_option( 'richchique' ), $default_theme_options );

			return $options[$name];
		}
	endif;

add_action( 'customize_register', 'richchique_customize_register' );
function richchique_customize_register( $wp_customize ) {

	$wp_customize->add_setting( 'richchique[centeredlogo]', array(
		'default' => richchique( 'centeredlogo' ),
		'sanitize_callback' => 'sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'richchique[centeredlogo]', array(
		'settings' => 'richchique[centeredlogo]',
		'label'    => __( 'Center Logo', 'richchique' ),
		'section'  => 'title_tagline',
		'type'     => 'checkbox',
		'priority' => 50,
	) );
	
			
	$wp_customize->add_section( 'richchique_colors', array(
		'title' => __( 'Colors', 'richchique' ),
		'priority' => 100,
	) );
	

	$wp_customize->add_setting( 'richchique[colorhdfont]', array(
		'default' => richchique( 'colorhdfont' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );	
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfont', array(
		'label'   => __( 'Header Font Color', 'richchique' ),
		'section' => 'richchique_colors',
		'settings'   => 'richchique[colorhdfont]',
		'priority' => 7,
	) ) );

	$wp_customize->add_setting( 'richchique[colorhdfonthover]', array(
		'default' => richchique( 'colorhdfonthover' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfonthover', array(
		'label'   => __( 'Header Font Hover Color', 'richchique' ),
		'section' => 'richchique_colors',
		'settings'   => 'richchique[colorhdfonthover]',
		'priority' => 8,
	) ) );

	
	$wp_customize->add_setting( 'richchique[colornavfont]', array(
		'default' => richchique( 'colornavfont' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colornavfont', array(
		'label'   => __( 'Menu Font Color', 'richchique' ),
		'section' => 'richchique_colors',
		'settings'   => 'richchique[colornavfont]',
		'priority' => 12,
	) ) );

	$wp_customize->add_setting( 'richchique[colornavfonthover]', array(
		'default' => richchique( 'colornavfonthover' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colornavfonthover', array(
		'label'   => __( 'Menu Font Hover Color', 'richchique' ),
		'section' => 'richchique_colors',
		'settings'   => 'richchique[colornavfonthover]',
		'priority' => 15,
	) ) );

	$wp_customize->add_setting( 'richchique[color1]', array(
		'default' => richchique( 'color1' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color1', array(
		'label'   => __( 'Lead Color', 'richchique' ),
		'section' => 'richchique_colors',
		'settings'   => 'richchique[color1]',
		'priority' => 20,
	) ) );
	
	$wp_customize->add_setting( 'richchique[color2]', array(
		'default' => richchique( 'color2' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color2', array(
		'label'   => __( '2. Lead Color', 'richchique' ),
		'section' => 'richchique_colors',
		'settings'   => 'richchique[color2]',
		'priority' => 30,
	) ) );
	
	$wp_customize->add_setting( 'richchique[colorfontbuttons]', array(
		'default' => richchique( 'colorfontbuttons' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorfontbuttons', array(
		'label'   => __( 'Button Font Color', 'richchique' ),
		'section' => 'richchique_colors',
		'settings'   => 'richchique[colorfontbuttons]',
		'priority' => 40,
	) ) );

	$wp_customize->add_setting( 'richchique[herofeaturedimage]', array(
		'default' => richchique( 'herofeaturedimage' ),
		'sanitize_callback' => 'sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'richchique[herofeaturedimage]', array(
		'settings' => 'richchique[herofeaturedimage]',
		'label'    => __( 'Featured Image as Hero Image on Single Post View', 'richchique' ),
		'section'  => 'header_image',
		'type'     => 'checkbox',
		'priority' => 70,
	) );

	$wp_customize->add_setting( 'richchique[headerimageshop]', array(
		'default' => richchique( 'headerimageshop' ),
		'sanitize_callback' => 'esc_url_raw',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'headerimageshop', array(
		'label'   => __( 'WooCommerce Product Archive Hero Image', 'richchique' ),
		'section' => 'header_image',
		'settings'   => 'richchique[headerimageshop]',
		'priority' => 80,
	) ) );

    $wp_customize->add_section( 'richchique_misc', array(
		'title' => __( 'Misc.', 'richchique' ),
		'priority' => 120,
	) );

	$wp_customize->add_setting( 'richchique[displayrelatedposts]', array(
		'default' => richchique( 'displayrelatedposts' ),
		'sanitize_callback' => 'sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'richchique[displayrelatedposts]', array(
		'settings' => 'richchique[displayrelatedposts]',
		'label'    => __( 'Display Related Posts', 'richchique' ),
		'section'  => 'richchique_misc',
		'type'     => 'checkbox',
		'priority' => 20,
	) );
	
	$wp_customize->add_setting( 'richchique[copyright]', array(
		'default' => richchique( 'copyright' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'copyright', array(
		'label' => __( 'Copyright Notice in Footer', 'richchique' ),
		'section' => 'richchique_misc',
		'settings' => 'richchique[copyright]',
		'priority' => 30,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-expanded-bg]', array(
		'default' => richchique( 'front-page-area-expanded-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-expanded-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-expanded',
		'settings'   => 'richchique[front-page-area-expanded-bg]',
		'priority' => 30,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-expanded-text]', array(
		'default' => richchique( 'front-page-area-expanded-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-expanded-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-expanded',
		'settings'   => 'richchique[front-page-area-expanded-text]',
		'priority' => 31,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-1-bg]', array(
		'default' => richchique( 'front-page-area-1-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-1-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-1',
		'settings'   => 'richchique[front-page-area-1-bg]',
		'priority' => 30,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-1-text]', array(
		'default' => richchique( 'front-page-area-1-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-1-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-1',
		'settings'   => 'richchique[front-page-area-1-text]',
		'priority' => 31,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-1]', array(
		'default' => richchique( 'front-page-area-1' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-1', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-1',
		'settings' => 'richchique[front-page-area-1]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 40,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-2-bg]', array(
		'default' => richchique( 'front-page-area-2-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-2-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-2',
		'settings'   => 'richchique[front-page-area-2-bg]',
		'priority' => 45,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-2-text]', array(
		'default' => richchique( 'front-page-area-2-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-2-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-2',
		'settings'   => 'richchique[front-page-area-2-text]',
		'priority' => 46,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-2]', array(
		'default' => richchique( 'front-page-area-2' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-2', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-2',
		'settings' => 'richchique[front-page-area-2]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 50,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-3-bg]', array(
		'default' => richchique( 'front-page-area-3-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-3-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-3',
		'settings'   => 'richchique[front-page-area-3-bg]',
		'priority' => 55,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-3-text]', array(
		'default' => richchique( 'front-page-area-3-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-3-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-3',
		'settings'   => 'richchique[front-page-area-3-text]',
		'priority' => 56,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-3]', array(
		'default' => richchique( 'front-page-area-3' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-3', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-3',
		'settings' => 'richchique[front-page-area-3]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 60,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-4-bg]', array(
		'default' => richchique( 'front-page-area-4-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-4-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-4',
		'settings'   => 'richchique[front-page-area-4-bg]',
		'priority' => 65,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-4-text]', array(
		'default' => richchique( 'front-page-area-4-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-4-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-4',
		'settings'   => 'richchique[front-page-area-4-text]',
		'priority' => 66,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-4]', array(
		'default' => richchique( 'front-page-area-4' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-4', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-4',
		'settings' => 'richchique[front-page-area-4]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 70,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-5-bg]', array(
		'default' => richchique( 'front-page-area-5-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-5-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-5',
		'settings'   => 'richchique[front-page-area-5-bg]',
		'priority' => 75,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-5-text]', array(
		'default' => richchique( 'front-page-area-5-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-5-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-5',
		'settings'   => 'richchique[front-page-area-5-text]',
		'priority' => 76,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-5]', array(
		'default' => richchique( 'front-page-area-5' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-5', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-5',
		'settings' => 'richchique[front-page-area-5]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 80,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-6-bg]', array(
		'default' => richchique( 'front-page-area-6-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-6-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-6',
		'settings'   => 'richchique[front-page-area-6-bg]',
		'priority' => 85,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-6-text]', array(
		'default' => richchique( 'front-page-area-6-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-6-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-6',
		'settings'   => 'richchique[front-page-area-6-text]',
		'priority' => 86,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-6]', array(
		'default' => richchique( 'front-page-area-6' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-6', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-6',
		'settings' => 'richchique[front-page-area-6]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 90,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-7-bg]', array(
		'default' => richchique( 'front-page-area-7-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-7-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-7',
		'settings'   => 'richchique[front-page-area-7-bg]',
		'priority' => 95,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-7-text]', array(
		'default' => richchique( 'front-page-area-7-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-7-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-7',
		'settings'   => 'richchique[front-page-area-7-text]',
		'priority' => 96,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-7]', array(
		'default' => richchique( 'front-page-area-7' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-7', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-7',
		'settings' => 'richchique[front-page-area-7]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 100,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-8-bg]', array(
		'default' => richchique( 'front-page-area-8-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-8-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-8',
		'settings'   => 'richchique[front-page-area-8-bg]',
		'priority' => 105,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-8-text]', array(
		'default' => richchique( 'front-page-area-8-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-8-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-8',
		'settings'   => 'richchique[front-page-area-8-text]',
		'priority' => 106,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-8]', array(
		'default' => richchique( 'front-page-area-8' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-8', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-8',
		'settings' => 'richchique[front-page-area-8]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 110,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-9-bg]', array(
		'default' => richchique( 'front-page-area-9-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-9-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-9',
		'settings'   => 'richchique[front-page-area-9-bg]',
		'priority' => 115,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-9-text]', array(
		'default' => richchique( 'front-page-area-9-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-9-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-9',
		'settings'   => 'richchique[front-page-area-9-text]',
		'priority' => 116,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-9]', array(
		'default' => richchique( 'front-page-area-9' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-9', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-9',
		'settings' => 'richchique[front-page-area-9]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 120,
	) );

	$wp_customize->add_setting( 'richchique[front-page-area-10-bg]', array(
		'default' => richchique( 'front-page-area-10-bg' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-10-bg', array(
		'label'   => __( 'Widget Area Background Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-10',
		'settings'   => 'richchique[front-page-area-10-bg]',
		'priority' => 125,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-10-text]', array(
		'default' => richchique( 'front-page-area-10-text' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'front-page-area-10-text', array(
		'label'   => __( 'Widget Area Text Color', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-10',
		'settings'   => 'richchique[front-page-area-10-text]',
		'priority' => 126,
	) ) );

	$wp_customize->add_setting( 'richchique[front-page-area-10]', array(
		'default' => richchique( 'front-page-area-10' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'front-page-area-10', array(
		'label' => __( 'Widgets Per Row:', 'richchique' ),
		'section' => 'sidebar-widgets-front-page-widget-area-10',
		'settings' => 'richchique[front-page-area-10]',
		'type' => 'select',
		'choices' => array(
				'large-up-6 medium-up-3 small-up-2'   => __( 'Large - 6 | Medium 3 | Small 2', 'richchique' ),
                'large-up-4 medium-up-2'   => __( 'Large - 4 | Medium 2 | Small 1', 'richchique' ),
                'large-up-4 medium-up-4 small-up-2'   => __( 'Large - 4 | Medium 4 | Small 2', 'richchique' ),
                'medium-up-3'  => __( 'Large - 3 | Medium 3 | Small 1', 'richchique' ),
                'medium-up-2'  => __( 'Large - 2 | Medium 2 | Small 1', 'richchique' ),
                'small-up-1'   => __( 'Large - 1 | Medium 1 | Small 1', 'richchique' ),
                'medium-8 medium-offset-2 frontwidgetareacentered'   => __( 'Medium Centered Box', 'richchique' ),
                'medium-6 medium-offset-3 frontwidgetareacentered'   => __( 'Small Centered Box', 'richchique' ),
            ),
		'priority' => 130,
	) );
} 

function sanitize_text_html( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}

function sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}

/* Add CSS to customizer to display controls for front widget areas */
function richchique_customizer_styles() { ?>
  <style>
  [id^='customize-control-front-page-area'] {
	display: block !important;
	}
  </style>
  <?php
}
add_action( 'customize_controls_print_styles', 'richchique_customizer_styles' );

/* Add CSS */
function add_styles() {
  if ( ! function_exists( 'get_richicon_font' ) ) {
    $richicon_font = array(
        'base' => get_template_directory_uri()."/font/richicons",
        'version' => '13409116');
  } else {
    $richicon_font = get_richicon_font();
  }
 ?>
<style type="text/css">
@font-face {
  font-family: 'richicons';
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']; ?>');
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']."#iefix"; ?>') format('embedded-opentype'),
    url('<?php echo $richicon_font['base'].".woff?".$richicon_font['version']; ?>') format('woff'),
    url('<?php echo $richicon_font['base'].".ttf?".$richicon_font['version']; ?>') format('truetype'),
    url('<?php echo $richicon_font['base'].".svg?".$richicon_font['version']."#richicons"; ?>') format('svg');
    font-weight: normal;
    font-style: normal;
  }

 .header a {
 	color:<?php echo richchique('colorhdfont');?>;
 }

  .header a:hover{
 	color:<?php echo richchique('colorhdfonthover');?>;
 }


.title-bar,
.top-bar a,
.top-bar .current-menu-item ul.submenu a,
#iconmenu li:before,
.menushop .is-dropdown-submenu a,
.menushop .is-dropdown-submenu a:hover{
	color:<?php echo richchique('colornavfont');?>;
}
.top-bar-left .dropdown.menu > li.is-dropdown-submenu-parent.opens-right > a:after,
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after,
.top-bar-left .is-accordion-submenu-parent a::after{
  border-color: <?php echo richchique('colornavfont');?> transparent transparent;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after {
	border-color: transparent transparent transparent <?php echo richchique('colornavfont');?>;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-left > a::after {
	border-color: transparent <?php echo richchique('colornavfont');?> transparent;
}
.top-bar a:hover,
.top-bar .current-menu-item a,
.top-bar .current-menu-item ul.submenu a:hover,
.dropdown.menu > li.is-dropdown-submenu-parent > a:hover:after,
#iconmenu li:hover:before{
	color:<?php echo richchique('colornavfonthover');?>;
}
.top-bar-left .dropdown.menu > li.is-dropdown-submenu-parent.opens-right > a:hover:after,
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a:hover:after,
.top-bar-left .is-accordion-submenu-parent a:hover:after{
  border-color: <?php echo richchique('colornavfonthover');?> transparent transparent;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a:hover:after {
	border-color: transparent transparent transparent <?php echo richchique('colornavfonthover');?>;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-left > a:hover:after {
	border-color: transparent <?php echo richchique('colornavfonthover');?> transparent;
}

<?php if (is_page_template('page-front.php')) { ?>

		<?php if ((richchique('front-page-area-expanded-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-expanded' ))) : ?>
			.front-page-widget-area-expanded-wrap {
					background: <?php echo richchique('front-page-area-expanded-bg');?>;
					color: <?php echo richchique('front-page-area-expanded-text');?>;
				}
			.front-page-widget-area-expanded-wrap a, .front-page-widget-area-expanded-wrap a:hover{color: <?php echo richchique('front-page-area-expanded-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-expanded-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-expanded-wrap [class^="icon-"]:before, .front-page-widget-area-expanded-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-expanded-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-1-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-1' ))) : ?>
			.front-page-widget-area-1-wrap {
					background: <?php echo richchique('front-page-area-1-bg');?>;
					color: <?php echo richchique('front-page-area-1-text');?>;
				}
			.front-page-widget-area-1-wrap a, .front-page-widget-area-1-wrap a:hover{color: <?php echo richchique('front-page-area-1-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-1-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-1-wrap [class^="icon-"]:before, .front-page-widget-area-1-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-1-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-2-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-2' ))) : ?>
			.front-page-widget-area-2-wrap {
					background: <?php echo richchique('front-page-area-2-bg');?>;
					color: <?php echo richchique('front-page-area-2-text');?>;
				}
			.front-page-widget-area-2-wrap a, .front-page-widget-area-2-wrap a:hover{color: <?php echo richchique('front-page-area-2-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-2-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-2-wrap [class^="icon-"]:before, .front-page-widget-area-2-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-1-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-3-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-3' ))) : ?>
			.front-page-widget-area-3-wrap {
					background: <?php echo richchique('front-page-area-3-bg');?>;
					color: <?php echo richchique('front-page-area-3-text');?>;
				}
			.front-page-widget-area-3-wrap a, .front-page-widget-area-3-wrap a:hover{color: <?php echo richchique('front-page-area-3-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-3-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-3-wrap [class^="icon-"]:before, .front-page-widget-area-3-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-3-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-4-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-4' ))) : ?>
			.front-page-widget-area-4-wrap {
					background: <?php echo richchique('front-page-area-4-bg');?>;
					color: <?php echo richchique('front-page-area-4-text');?>;
				}
			.front-page-widget-area-4-wrap a, .front-page-widget-area-4-wrap a:hover{color: <?php echo richchique('front-page-area-4-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-4-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-4-wrap [class^="icon-"]:before, .front-page-widget-area-4-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-4-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-5-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-5' ))) : ?>
			.front-page-widget-area-5-wrap {
					background: <?php echo richchique('front-page-area-5-bg');?>;
					color: <?php echo richchique('front-page-area-5-text');?>;
				}
			.front-page-widget-area-5-wrap a, .front-page-widget-area-5-wrap a:hover{color: <?php echo richchique('front-page-area-5-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-5-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-5-wrap [class^="icon-"]:before, .front-page-widget-area-5-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-5-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-6-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-6' ))) : ?>
			.front-page-widget-area-6-wrap {
					background: <?php echo richchique('front-page-area-6-bg');?>;
					color: <?php echo richchique('front-page-area-6-text');?>;
				}
			.front-page-widget-area-6-wrap a, .front-page-widget-area-6-wrap a:hover{color: <?php echo richchique('front-page-area-6-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-6-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-6-wrap [class^="icon-"]:before, .front-page-widget-area-6-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-6-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-7-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-7' ))) : ?>
			.front-page-widget-area-7-wrap {
					background: <?php echo richchique('front-page-area-7-bg');?>;
					color: <?php echo richchique('front-page-area-7-text');?>;
				}
			.front-page-widget-area-7-wrap a, .front-page-widget-area-7-wrap a:hover{color: <?php echo richchique('front-page-area-7-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-7-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-7-wrap [class^="icon-"]:before, .front-page-widget-area-7-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-7-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-8-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-8' ))) : ?>
			.front-page-widget-area-8-wrap {
					background: <?php echo richchique('front-page-area-8-bg');?>;
					color: <?php echo richchique('front-page-area-8-text');?>;
				}
			.front-page-widget-area-8-wrap a, .front-page-widget-area-8-wrap a:hover{color: <?php echo richchique('front-page-area-8-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-8-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-8-wrap [class^="icon-"]:before, .front-page-widget-area-8-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-8-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-9-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-9' ))) : ?>
			.front-page-widget-area-9-wrap {
					background: <?php echo richchique('front-page-area-9-bg');?>;
					color: <?php echo richchique('front-page-area-9-text');?>;
				}
			.front-page-widget-area-9-wrap a, .front-page-widget-area-9-wrap a:hover{color: <?php echo richchique('front-page-area-9-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-9-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-9-wrap [class^="icon-"]:before, .front-page-widget-area-9-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-9-text');?>;}
		<?php endif; ?>

		<?php if ((richchique('front-page-area-10-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-10' ))) : ?>
			.front-page-widget-area-10-wrap {
					background: <?php echo richchique('front-page-area-10-bg');?>;
					color: <?php echo richchique('front-page-area-10-text');?>;
				}
			.front-page-widget-area-10-wrap a, .front-page-widget-area-10-wrap a:hover{color: <?php echo richchique('front-page-area-10-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-10-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-10-wrap [class^="icon-"]:before, .front-page-widget-area-10-wrap [class*=" icon-"]:before {color: <?php echo richchique('front-page-area-10-text');?>;}
		<?php endif; ?>
<?php } ?>


a,
a:hover,
.postbox a:hover .entry-title,
#sidebar a:hover,
#copyright a:hover,
#creditline a:hover,
#footermenu a:hover,
#footer-widget-area a:hover, 
#top-widget-area a:hover,
.pagination-centered .previouspostlinks a:hover, 
.pagination-centered .nextpostlinks a:hover,
.comment-metadata a:hover, 
.postboxmetacat a:hover,
.fn a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>						
		, .woocommerce .woocommerce-info::before<?php } }?>
	{
	color:<?php echo richchique('color1');?>;
}
.none
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>, 
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
		.woocommerce #payment #place_order,
		.woocommerce-page #payment #place_order,
		.woocommerce #respond input#submit.alt:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce a.button.alt:hover,
		.woocommerce button.button.alt:hover,
		.woocommerce input.button.alt:hover,
		.woocommerce input.button,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.add_to_cart_button:hover,
		.woocommerce #respond input#submit.alt,
		.woocommerce a.button.alt,
		.woocommerce button.button.alt,
		.woocommerce input.button.alt<?php } } ?>
	{
	background:<?php echo richchique('color1');?>;
}
.button,
.button:hover, 
.button:focus,
.add_to_cart_button:hover,
.add_to_cart_button:focus,
.comment-list .reply a,
.comment-list .reply a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>,
		.woocommerce ul.products li.product .button,
		.woocommerce input.button:hover,
		.woocommerce span.onsale<?php } } ?>
{
	background-color:<?php echo richchique('color2');?>;
	color: <?php echo richchique('colorfontbuttons');?>;
}
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>
			.woocommerce a.added_to_cart:before{
				color:<?php echo richchique('color2');?>;
			} 
		
			.woocommerce .woocommerce-info{
				border-top-color: <?php echo richchique('color2');?>;
			} 
<?php 	} } ?>
.entry-content a.more-link,
.button,
.comment-list .reply a,
.comment-list .reply a:hover,
.add_to_cart_button
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>
		.woocommerce ul.products li.product .button,
		.woocommerce input.button,
		.woocommerce input.button:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.woocommerce span.onsale<?php } } ?>
	{
	color:<?php echo richchique('colorfontbuttons');?>;
}
</style>
<?php } add_action('wp_head', 'add_styles'); ?>