<?php /* Template Name: Subpage List */ ?>
<?php get_header(); ?>

<div id="container" class="row">
	<div id="primary" class="large-8 medium-8 small-12 columns <?php if ( ( is_active_sidebar( 'sidebar-1' )  ) || ( is_active_sidebar( 'sidebar-2' )  ) || ( is_active_sidebar( 'sidebar-3' ) ) ): else: echo 'medium-centered'; endif; ?>">
	  	<article <?php post_class('articlebox'); ?>>
		<?php	
			while ( have_posts() ) : the_post(); ?>

				<h1 class="entry-title"><?php the_title(); ?></h2>
				<?php the_content();
			endwhile;
		?>
	    </article>

	    <?php
			// Query Subpages
			$page = (get_query_var('paged')) ? get_query_var('paged') : 1;
			query_posts("post_type=page&post_parent=".$post->ID."&paged=$page&orderby=menu_order&order=ASC");
			if ( have_posts() ) :  while ( have_posts() ) : the_post();?>
			
					<article id="post-<?php the_ID(); ?>" <?php post_class('row postbox'); ?> >
		
			<?php if (has_post_thumbnail( $post->ID ) ): ?>
				<div class="medium-6 postlistthumb columns">
					<div class="postlistthumbbg">
						<a href="<?php the_permalink() ?>" rel="bookmark">
							<?php the_post_thumbnail( 'post-thumbnail' );?>
						</a>
					</div>
				</div>
			<?php endif;?>
			<div class="<?php if (has_post_thumbnail( $post->ID ) ): echo 'medium-6'; endif; ?> columns">
				<a href="<?php the_permalink() ?>" rel="bookmark">
					<h4 class="entry-title">
						<?php if (is_sticky()) : ?><span class="icon-star-empty"></span> 
						<?php elseif ( has_post_format( 'audio' )) : ?>
						  <span class="icon-volume-up-1"></span>
						<?php elseif ( has_post_format( 'video' )) : ?>
						  <span class="icon-play-circled2"></span>
						<?php elseif  ( has_post_format( 'image' )) : ?>
						  <span class="icon-picture-2"></span>
						<?php elseif ( has_post_format( 'gallery' )) : ?>
						  <span class="icon-picture"></span>
						<?php elseif ( has_post_format( 'link' )) : ?>
						  <span class="icon-link-1"></span>
						<?php elseif ( has_post_format( 'quote' )) : ?>
						  <span class="icon-quote"></span>
						<?php elseif ( has_post_format( 'status' )) : ?>
						  <span class="icon-child"></span>
						<?php elseif ( has_post_format( 'chat' )) : ?>
						  <span class="icon-link-1"></span>
						 <?php elseif ( has_post_format( 'aside' )) : ?>
						  <span class="icon-heart-empty"></span>
						<?php endif; ?>
						<?php the_title();?>
					</h4>
				</a>
				<div class="show-for-medium"><?php the_excerpt(); ?></div>
			</div>
	</article>
			
			<?php endwhile; endif;
			
			// Pagination	
			if ( function_exists( 'richchique_pagination' ) ) { 
      			richchique_pagination(); 
     		} 
			
			 wp_reset_query(); ?>
			 
	</div><!-- #primary -->
          
              <?php get_sidebar(); ?>             

</div> <!-- #container -->

<?php get_footer(); ?>